Ubuntu

On omap, CONFIG_DEFAULT_MMAP_MIN_ADDR needs to be set to 32768 per kconfig notes

Reported by Tobin Davis on 2011-12-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Medium
Unassigned

Bug Description

Currently, the default for x86/amd64 is for CONFIG_DEFAULT_MMAP_MIN_ADDR=65536 but according to the kconfig documentation upstream, armel should be set to 32768. On omap4, ac100, and mx5, this is correct, but on omap which uses the main kernel tree, this is not set properly.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-3-omap 3.2.0-3.9
ProcVersionSignature: User Name 3.2.0-3.9-omap 3.2.0-rc4
Uname: Linux 3.2.0-3-omap armv7l
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 1.90-0ubuntu1
Architecture: armel
ArecordDevices: Error: [Errno 2] No such file or directory
Date: Mon Dec 12 11:07:25 2011
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcKernelCmdLine: root=UUID=2be32325-3cfc-46e6-a018-e5a2001d8bc4 ro quiet splash
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)

Tobin Davis (gruemaster) wrote :
Tobin Davis (gruemaster) on 2011-12-12
Changed in linux (Ubuntu):
importance: Undecided → Medium

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 903346

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
status: Incomplete → New
status: New → Incomplete

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Incomplete. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

tags: added: kernel-request-3.2.0-4.10
Tobin Davis (gruemaster) on 2011-12-12
tags: added: oneiric
removed: kernel-request-3.2.0-4.10
Tobin Davis (gruemaster) wrote :

Changing to confirmed as the kernel-autobot whining about missing logs is irrelevant to the bug filed. Only log output required is from "fgrep CONFIG_DEFAULT_MMAP_MIN_ADDR /boot/config-*".

Bots annoy me.

tags: added: bot-stop-nagging
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Tobin Davis (gruemaster) on 2011-12-12
tags: added: natty
Tobin Davis (gruemaster) wrote :

This incorrect configuration has been verified to be in Natty (2.6.38), Oneiric (3.0) and Precice (3.2) release kernels. I would assume they are also in updated kernels for these releases as well. Please fix the Natty and Oneiric kernels in the next SRU release cycle. Precise can be fixed and uploaded with the next kernel build.

tags: added: kconfig
Tim Gardner (timg-tpi) on 2011-12-13
Changed in linux (Ubuntu Natty):
status: New → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: New → Fix Committed
Changed in linux (Ubuntu Precise):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-5.11

---------------
linux (3.2.0-5.11) precise; urgency=low

  [ Andy Whitcroft ]

  * enforcer -- allow arch and flavour predicates to take lists
  * enforcer -- simplify armel/armhf specific options
  * enforcer -- fix incorrectly specified flavour matches

  [ Leann Ogasawara ]

  * [Config] Disable IRQ_REMAP
  * [Config] Enable CONFIG_SENSORS_LM95245=m
  * [Config] Enable CONFIG_SENSORS_MAX1668=m
  * [Config] Enable CONFIG_SENSORS_NTC_THERMISTOR=m
  * [Config] Enable CONFIG_SENSORS_MAX6639=m
  * [Config] Enable CONFIG_SENSORS_MAX6642=m
  * [Config] Enable CONFIG_SENSORS_LINEAGE=m
  * [Config] Enable CONFIG_CRYPTO_SALSA20=m
  * [Config] Enable CONFIG_PATA_TOSHIBA=m
  * [Config] Enable CONFIG_POHMELFS=m
  * [Config] Enable CONFIG_NET_PACKET_ENGINE=y
  * [Config] Enable CONFIG_PATA_OPTI=m
  * add overlayfs to virtual inclusion list
    - LP: #903897
  * add veth to virtual inclusion list
    - LP: #903897
  * SAUCE: resolve WARNING: at drivers/block/floppy.c:2929 do_fd_request

  [ Paolo Pisati ]

  * [Config] DEFAULT_MMAP_MIN_ADDR=32k on arm
    - LP: #903346

  [ Tim Gardner ]

  * [Config] CONFIG_LOCKUP_DETECTOR=y
    - LP: #903615

  [ Upstream Kernel Changes ]

  * rebase to upstream 55b02d2f
 -- Leann Ogasawara <email address hidden> Mon, 12 Dec 2011 07:08:10 -0800

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel in for Natty -proposed solves the problem (2.6.38-13.54). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-natty
Tobin Davis (gruemaster) wrote :

This is now correct on natty omap kernel (2.6.38-8.42-omap 2.6.38.2).

tags: added: verification-done-natty
removed: verification-needed-natty
Tobin Davis (gruemaster) wrote :

And in Oneiric omap kernel (3.0.0-15.25-omap).

tags: added: verification-done-oneiric
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.54

---------------
linux (2.6.38-13.54) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #911195

  [ Alex Bligh ]

  * (config) Change Xen paravirt drivers to be built-in
    - LP: #886521

  [ Paolo Pisati ]

  * [Config] DEFAULT_MMAP_MIN_ADDR=32k on arm
    - LP: #903346

  [ Seth Forshee ]

  * SAUCE: dell-wmi: Demote unknown WMI event message to pr_debug
    - LP: #581312

  [ Upstream Kernel Changes ]

  * VFS: Fix vfsmount overput on simultaneous automount
    - LP: #769927
  * TPM: Zero buffer after copying to userspace, CVE-2011-1162
    - LP: #899463
    - CVE-2011-1162
  * hfs: fix hfs_find_init() sb->ext_tree NULL ptr oops, CVE-2011-2203
    - LP: #899466
    - CVE-2011-2203
  * KEYS: Fix a NULL pointer deref in the user-defined key type,
    CVE-2011-4110
    - LP: #894369
    - CVE-2011-4110
  * nfsd4: permit read opens of executable-only files
    - LP: #833300
  * Support for Terratec G1
    - LP: #821061
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 03 Jan 2012 10:03:15 -0200

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (14.0 KiB)

This bug was fixed in the package linux - 3.0.0-16.28

---------------
linux (3.0.0-16.28) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #922692

  [ Upstream Kernel Changes ]

  * Revert "drm/i915/dp: Fix the math in intel_dp_link_required"
    - LP: #919350

linux (3.0.0-16.27) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #920735

  [ Paolo Pisati ]

  * Revert "SAUCE: omap3: beagle: if rev unknown, assume xM revision C"
    - LP: #912199
  * Revert "SAUCE: omap3: beagle: detect new xM revision C"
    - LP: #912199
  * Revert "SAUCE: omap3: beagle: detect new xM revision B"
    - LP: #912199
  * Revert "SAUCE: omap3: beaglexm: fix DVI initialization"
    - LP: #912199
  * [Config] DEFAULT_MMAP_MIN_ADDR=32k on arm
    - LP: #903346

  [ Upstream Kernel Changes ]

  * Revert "rtc: Disable the alarm in the hardware"
    - LP: #913373
  * Support for Terratec G1
    - LP: #821061
  * drm/radeon/kms: fix DP detect and EDID fetch for DP bridges
    - LP: #825777
  * drm/radeon/kms/DCE4.1: fix Select_CrtcSource EncodeMode setting for DP
    bridges (v2)
    - LP: #825777
  * drm/radeon/kms: cleanup atombios_adjust_pll()
    - LP: #825777
  * drm/radeon/kms/atom: rework encoder dpms
    - LP: #825777
  * drm/radeon/kms: check for DP MST mode in a few more places (v2)
    - LP: #825777
  * drm/radeon/kms: rework DP bridge checks
    - LP: #825777
  * drm/radeon/kms: fix DP setup on TRAVIS bridges
    - LP: #825777
  * ALSA: sis7019 - give slow codecs more time to reset
    - LP: #907778
  * ALSA: hda/realtek - Fix Oops in alc_mux_select()
    - LP: #907778
  * alarmtimers: Fix time comparison
    - LP: #907778
  * ARM: davinci: da850 evm: change audio edma event queue to EVENTQ_0
    - LP: #907778
  * arm: mx23: recognise stmp378x as mx23
    - LP: #907778
  * ARM: at91: fix clock conid for atmel_tcb.1 on 9260/9g20
    - LP: #907778
  * ARM: davinci: dm646x evm: wrong register used in
    setup_vpif_input_channel_mode
    - LP: #907778
  * ASoC: Provide a more complete DMA driver stub
    - LP: #907778
  * fs/proc/meminfo.c: fix compilation error
    - LP: #907778
  * thp: add compound tail page _mapcount when mapped
    - LP: #907778
  * thp: set compound tail page _count to zero
    - LP: #907778
  * ptp: Fix clock_getres() implementation
    - LP: #907778
  * mm: Ensure that pfn_valid() is called once per pageblock when reserving
    pageblocks
    - LP: #907778
  * mm: vmalloc: check for page allocation failure before vmlist insertion
    - LP: #907778
  * fix apparmor dereferencing potentially freed dentry, sanitize
    __d_path() API
    - LP: #907778
  * target: Handle 0 correctly in transport_get_sectors_6()
    - LP: #907778
  * intel-iommu: fix return value of iommu_unmap() API
    - LP: #907778
  * intel-iommu: set iommu_superpage on VM domains to lowest common
    denominator
    - LP: #907778
  * intel-iommu: fix superpage support in pfn_to_dma_pte()
    - LP: #907778
  * percpu: fix chunk range calculation
    - LP: #907778
  * iwlwifi: do not re-configure HT40 after associated
    - LP: #907778
  * mac80211: fix race condition caused by late addBA respon...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints